<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.mostraCategoria.title']}" />
	</ui:define>

	<ui:define name="principal">
		<p:link outcome="mostraTodosCampeonatos.xhtml" value="#{msg['pages.menuCampeonatos.backShowChamp']}"/>
		<h1><p:outputLabel value="#{msg['pages.mostraCategoria.title']}"/></h1>
		
		<h:form id="formMostraCat">
		  <p:dataTable var="aux"
					   value="#{categoriaManagedBean.categoriasCampeonato}"
					   id="tabelaCategoria"
					   editable="true" paginator="true"
					   rows="5"
					   paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
					   rowsPerPageTemplate="5,10,15"
					   selectionMode="single" selection="#{categoriaManagedBean.categoriaSelecionada}"
					   rowkey="#{aux.idCategoria}">
			
			<p:ajax event="rowEdit" listener="#{categoriaManagedBean.onRowEdit}"
			update="tabelaCategoria"/>
			<p:ajax event="rowSelect"/>
          	<p:ajax event="rowUnselect"/>
					 
			<p:column filterBy="#{aux.nome}" headerText="#{msg['pages.cadastraCategoria.nome']}">
				<p:cellEditor>
					<f:facet name="output">
						<p:outputLabel value="#{aux.nome}"/>
					</f:facet>
					<f:facet name="input">
						<p:inputText value="#{aux.nome}"/>
					</f:facet>
				</p:cellEditor>
			</p:column>			 
			
			<p:column headerText="#{msg['pages.cadastraCategoria.nascidosApartirDe']}">
				<p:cellEditor>
					<f:facet name="output">
						<p:outputLabel value="#{aux.nascidosApartirDe}"/>
					</f:facet>
					<f:facet name="input">
						<p:inputText value="#{aux.nascidosApartirDe}"/>
					</f:facet>
				</p:cellEditor>
			</p:column>	
			
			<p:column headerText="#{msg['pages.cadastraCategoria.inscricoes']}">
				<p:commandButton action="cadastraInscricaoCategoria.xhmtl?faces-redirect=true" icon="ui-icon-plus">
					<f:setPropertyActionListener value="#{categoriaManagedBean.categoriaSelecionada}"
					 target="#{inscricaoManagedBeans.categoriaSelecionada}"/>
				</p:commandButton>
				<p:commandButton action="mostraInscricoes.xhmtl?faces-redirect=true" icon="ui-icon-search">
					<f:setPropertyActionListener value="#{categoriaManagedBean.categoriaSelecionada}"
					 target="#{inscricaoManagedBeans.categoriaSelecionada}"/>
				</p:commandButton>
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraCategoria.fases']}">
				<p:commandButton action="cadastraFase.xhmtl?faces-redirect=true" icon="ui-icon-plus">
				 	<f:setPropertyActionListener value="#{categoriaManagedBean.categoriaSelecionada}" 
				 	target="#{faseManagedBeans.categoriaSelecionada}"/>
				 </p:commandButton>
				<p:commandButton action="mostraFase.xhmtl?faces-redirect=true" icon="ui-icon-search">
					<f:setPropertyActionListener value="#{categoriaManagedBean.categoriaSelecionada}" 
				 	target="#{faseManagedBeans.categoriaSelecionada}"/>
				</p:commandButton>
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraCategoria.minJogadores']}">
				<p:cellEditor>
					<f:facet name="output">
						<p:outputLabel value="#{aux.minJogadores}"/>
					</f:facet>
					<f:facet name="input">
						<p:inputText value="#{aux.minJogadores}"/>
					</f:facet>
				</p:cellEditor>
			</p:column>	
			
			<p:column headerText="#{msg['pages.cadastraCategoria.maxJogadores']}">
				<p:cellEditor>
					<f:facet name="output">
						<p:outputLabel value="#{aux.maxJogadores}"/>
					</f:facet>
					<f:facet name="input">
						<p:inputText value="#{aux.maxJogadores}"/>
					</f:facet>
				</p:cellEditor>
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraCategoria.sexo']}">
				<p:outputLabel value="#{aux.sexo.descricao}" />
			</p:column>
				
			
			<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{categoriaManagedBean.remover(aux)}"
						update="tabelaCategoria" />
	  		</p:column>	
			
		  </p:dataTable>
		</h:form>
	</ui:define>
</ui:composition>